ThreadUserTimer Class Reference

Measure CPU time spent executing instructions of this thread (if supported by OS) More...

Inheritance diagram for ThreadUserTimer:

## Public Member Functions

| ThreadUserTimer (Unit unit=TimerBase::SECONDS, bool stuckAtZero=false)
TimerWord | GetCurrentTimerValue ()
TimerWord | TicksPerSecond ()
Public Member Functions inherited from TimerBase
| TimerBase (Unit unit, bool stuckAtZero)
void | StartTimer ()
double | ElapsedTimeAsDouble ()
unsigned long | ElapsedTime ()

## Additional Inherited Members

Public Types inherited from TimerBase
enum | Unit { SECONDS = 0, MILLISECONDS, MICROSECONDS, NANOSECONDS }

## Detailed Description

Measure CPU time spent executing instructions of this thread (if supported by OS)

Note
  ThreadUserTimer only works correctly on Windows NT or later desktops and servers. On Unix-based it reports process time. On Windows Phone and Windows Store it reports wall clock time with performance counter precision. On all others it reports wall clock time.

Definition at line 48 of file hrtimer.h.

The documentation for this class was generated from the following files:

- hrtimer.h
- hrtimer.cpp